Bug 214039 - on dell latitude the intel drivers results in black screen
on dell latitude the intel drivers results in black screen
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-i810 (Show other bugs)
6
All Linux
medium Severity medium
: ---
: ---
Assigned To: Adam Jackson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-11-04 17:51 EST by Mads Villadsen
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-04-10 18:35:41 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
output of lspci -vn (6.25 KB, text/plain)
2006-11-04 17:51 EST, Mads Villadsen
no flags Details
xorg log file from startup resulting in black screen (61.38 KB, text/plain)
2006-11-04 17:53 EST, Mads Villadsen
no flags Details
xorg.conf with "i810" driver; working with the LFP (1.58 KB, text/plain)
2006-12-28 17:56 EST, Bernd Bartmann
no flags Details
Xorg log file from xorg.conf with i810 driver; working with LFP (65.36 KB, text/plain)
2006-12-28 17:57 EST, Bernd Bartmann
no flags Details
xorg.conf with "intel" driver; gives only black screnn (1.58 KB, text/plain)
2006-12-28 17:58 EST, Bernd Bartmann
no flags Details
xorg log file from xorg.conf with "intel" driver; gives only black screen (47.87 KB, text/plain)
2006-12-28 17:59 EST, Bernd Bartmann
no flags Details
xorg log file when no xorg.conf exists; working with LFP (68.26 KB, text/plain)
2006-12-28 18:00 EST, Bernd Bartmann
no flags Details
xorg.conf file (1.59 KB, application/octet-stream)
2007-01-05 18:51 EST, Mads Villadsen
no flags Details
X log file with no xorg.conf (69.65 KB, application/octet-stream)
2007-01-05 18:53 EST, Mads Villadsen
no flags Details

  None (edit)
Description Mads Villadsen 2006-11-04 17:51:37 EST
Description of problem:


Version-Release number of selected component (if applicable):
xorg-x11-drv-i810-1.6.5-9.fc6

How reproducible:
Always

Steps to Reproduce:
1. Enable the intel driver in xorg.con (instead of i810)
2. Reboot
3. Ends up with black screen.
  
Actual results:
Black screen

Expected results:
An X display with a resolution of 1920x1200

Additional info:
At the moment I am running 915resolution and the i810 driver to get 1920x1200
resolution
Comment 1 Mads Villadsen 2006-11-04 17:51:37 EST
Created attachment 140368 [details]
output of lspci -vn
Comment 2 Mads Villadsen 2006-11-04 17:53:03 EST
Created attachment 140369 [details]
xorg log file from startup resulting in black screen
Comment 3 Matěj Cepl 2006-12-28 16:40:46 EST
Thanks for the bug report and sorry for late reply to your report.

Please attach your X server config file (/etc/X11/xorg.conf) to the bug report
as individual uncompressed file attachment using the bugzilla file attachment
link below.

Could you please also try to run without any /etc/X11/xorg.conf whatsoever and
let X11 autodetect your display and video card? Attach to this bug
/var/log/Xorg.0.log from this attempt as well, please.

We will review this issue again once you've had a chance to attach this information.

Thanks in advance.
Comment 4 Bernd Bartmann 2006-12-28 17:55:35 EST
Here are some findings from my system:
I'm running FC6 on a DELL D620 laptop. After installing the
915resolution tool I also got X11 running in the native 1440x900
resolution using the integrated Intel graphics card and the "i810"
driver. Now when I put the laptop into the docking station I can't get
any X11 output neither to the external displays attached to the
docking stations DVI and VGA port nor on the internal laptop display.

Text mode output to the external displays seems to work, i.e. when the
laptop lid is closed I get the console output on the display attached
to the DVI port.

I also tried the new "intel" driver,  but with this one I can't even
get X11 output to the internal display when the laptop is undocked.

I'll attach the logs you requested.
Comment 5 Bernd Bartmann 2006-12-28 17:56:42 EST
Created attachment 144503 [details]
xorg.conf with "i810" driver; working with the LFP
Comment 6 Bernd Bartmann 2006-12-28 17:57:59 EST
Created attachment 144504 [details]
Xorg log file from xorg.conf with i810 driver; working with LFP
Comment 7 Bernd Bartmann 2006-12-28 17:58:32 EST
Created attachment 144505 [details]
xorg.conf with "intel" driver; gives only black screnn
Comment 8 Bernd Bartmann 2006-12-28 17:59:21 EST
Created attachment 144506 [details]
xorg log file from xorg.conf with "intel" driver; gives only black screen
Comment 9 Bernd Bartmann 2006-12-28 18:00:25 EST
Created attachment 144507 [details]
xorg log file when no xorg.conf exists; working with LFP
Comment 10 Mads Villadsen 2007-01-05 18:51:57 EST
Created attachment 144945 [details]
xorg.conf file

Attaching xorg.conf file as per request
Comment 11 Mads Villadsen 2007-01-05 18:53:18 EST
Created attachment 144946 [details]
X log file with no xorg.conf

Attaching the log output from running X without an xorg.conf file
Comment 12 Adam Jackson 2007-04-10 18:35:41 EDT
As of xorg-x11-drv-i810-1.6.5-19.fc7, 915GM and all 945 and 965 chips will use
the intel modesetting driver by default.  Please update, and test with that
driver, and reopen if you have further issues.

Note You need to log in before you can comment on or make changes to this bug.